be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class TelecomType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.TelecomType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:09:10+01:00",
                 comments="JAXB RI v2.3.7")
      public class TelecomType
      extends Object
      implements Serializable

  Java class for telecomType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="telecomType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TELECOM" maxOccurs="2"/>
               <element name="telecomnumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelecomType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CDTELECOM>` | `getCds()` Gets the value of the cds property.
    `List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
    `String` | `getTelecomnumber()` Gets the value of the telecomnumber property.
    `void` | `setTelecomnumber(String value)` Sets the value of the telecomnumber property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelecomType

          public TelecomType()

  - ### Method Detail

    - #### getIds

          public List<IDKMEHR> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDKMEHR`

    - #### getCds

          public List<CDTELECOM> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDTELECOM`

    - #### getTelecomnumber

          public String getTelecomnumber()

      Gets the value of the telecomnumber property.
      Returns:
        possible object is `String`

    - #### setTelecomnumber

          public void setTelecomnumber(String value)

      Sets the value of the telecomnumber property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.